docloop-github-adapter
Docloop target adapter to interact with the github issue tracker
Last updated a year ago by rhotep .
GPL-3.0 · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install docloop-github-adapter 
SYNC missed versions from official npm registry.

GithubAdapter

This package is meant to be used with docloop.

Install like this:

npm install docloop-github-adapter

Before you can actually use the GithubAdapter, you will have to register a GithubApp. Each installation of the GithubApp needs acces to issues.

Use the credentials from your app's configuration page to configure your GithubAdapter like this (see docloop):

var PaperhiveAdapter = require('docloop-paperhive-adapter').PaperhiveAdapter 

docloopCore
.use(GithubAdapter, {
    name:             'GitHub',
    app:              {
                        id:                 0000,
                        secret:             "some_secret",
                        privateKeyLocation: "my_secret.private-key.pem",
                        installationLink:   "link_to_my_github_app",
                      },
    extraEndpoints:   false,
    eventQueue:       {
                        delay:            [0, 1000, 5000],
                        minDelay:         0,
                        maxAttempts:      3,
                        processInterval:  10*60*1000,
                        spread:           1000,
                      },
    oAuth:            {
                        clientId:       "github_app_client_id",
                        clientSecret:   "github_app_client_secret",
                        accessTokenUrl: "https://github.com/login/oauth/access_token",                  
                        authUrl:        "https://github.com/login/oauth/authorize?scope=user:email&client_id={{github_app_client_id}}",
                      },
    dummy:            {
                        title:  "docLoop: dummy",
                        body: "_docLoop: dummy for missing parent_"
                      }
})

Here's the documentation: docloopDocs

Current Tags

  • 1.0.0                                ...           latest (a year ago)

10 Versions

  • 1.0.0                                ...           a year ago
  • 0.10.1                                ...           a year ago
  • 0.10.0                                ...           a year ago
  • 0.9.6                                ...           a year ago
  • 0.9.5                                ...           a year ago
  • 0.9.4                                ...           2 years ago
  • 0.9.3                                ...           2 years ago
  • 0.9.2                                ...           2 years ago
  • 0.9.1                                ...           2 years ago
  • 0.9.0                                ...           2 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 3
Last Day 0
Last Week 1
Last Month 17
Dependencies (6)
Dev Dependencies (1)
Dependents (1)

Copyright 2014 - 2016 © taobao.org |